// New Consts
#define numpanels   16
#define numpages    numpanels / 4
#define maxthemes   16

#define maxnumworld 16
#define maxnumtimer 8
#define maxnumalarm 8

#define helpmaxlinehight 32
#define helpmaxlinks     32
#define helpmaxlines     64
#define halpmaxhistory   32

#define analogx          90
#define analogy          4

#define numtimeslots maxnumworld+maxnumtimer+maxnumalarm
#define worldstart 0
#define timerstart worldstart+maxnumworld
#define alarmstart timerstart+maxnumtimer


// Timelist
#define wCount    13
#define aCount    8

#define wLocal     0
#define wWorld1    1
#define wWorld2    2
#define wWorld3    3
#define wWorld4    4

#define wTimer1    5        //0   number in Alarmlist
#define wTimer2    6        //1
#define wTimer3    7        //2
#define wTimer4    8        //3

#define wAlarm1    9        //4
#define wAlarm2   10        //5
#define wAlarm3   11        //6
#define wAlarm4   12        //7

//PageList

#define pnEmpty    0
#define pnTime     1
#define pnMonth    2
#define pnDate     3
#define pnDateD    4
#define pnAlarm    5
#define pnTimer    6
#define pnControl  7
#define pnCTimer   8
#define pnVTimer   9
#define pnWorld    10
#define pnAnalog   11

/*
#define pEmpty     0

#define pDate0     1
#define pTime0     2
#define pDate1     3
#define pTime1     4
#define pDate2     5
#define pTime2     6
#define pDate3     7
#define pTime3     8
#define pDate4     9
#define pTime4    10

#define pAlarm1   11
#define pAlarm2   12
#define pAlarm3   13
#define pAlarm4   14

#define pTimer1   15
#define pControl1 16
#define pTimer2   17
#define pControl2 18
#define pTimer3   19
#define pControl3 20
#define pTimer4   21
#define pControl4 22

#define pWorld12  23
#define pWorld34  24

#define wDateDL   25
#define wDateD1   26
#define wDateD2   27
#define wDateD3   28
#define wDateD4   29

#define pMonth0   30
#define pMonth1   31
#define pMonth2   32
#define pMonth3   33
#define pMonth4   34

#define pAnalogL  35
#define pAnalog1  36
#define pAnalog2  37
#define pAnalog3  38
#define pAnalog4  39
*/


#define AlarmCount 4


#define formID_bigclock          1000
#define formID_layout            1001
#define formID_option            1002
#define formID_sure              1003
#define formID_lock              1004
#define formID_alarm             1005
#define formID_timer             1006
#define formID_world             1007
#define formID_sound             1008
#define formID_localtime         1009
#define formID_newyear           1010
#define formID_color             1011
#define formID_history           1012
#define formID_help              1013
#define formID_global            1014


#define alertID_info             1100
#define alertID_confirmation     1101

#define bitmapID_num0            2000
#define bitmapID_num1            2001
#define bitmapID_num2            2002
#define bitmapID_num3            2003
#define bitmapID_num4            2004
#define bitmapID_num5            2005
#define bitmapID_num6            2006
#define bitmapID_num7            2007
#define bitmapID_num8            2008
#define bitmapID_num9            2009
#define bitmapID_points          2010
#define bitmapID_point           2011
#define bitmapID_alarm           2012
#define bitmapID_slash           2013
#define bitmapID_am              2014
#define bitmapID_pm              2015

#define bitmapID_large           2050

#define editID_soundf1           2100
#define editID_soundt1           2101
#define editID_sounda1           2102
#define editID_soundp1           2103

#define editID_soundf2           2104
#define editID_soundt2           2105
#define editID_sounda2           2106
#define editID_soundp2           2107

#define editID_soundf3           2108
#define editID_soundt3           2109
#define editID_sounda3           2110
#define editID_soundp3           2111

#define editID_soundf4           2112
#define editID_soundt4           2113
#define editID_sounda4           2114
#define editID_soundp4           2115

#define editID_soundr            2116


#define menuID_bigclock          3000
#define menuitemID_about         3001
#define menuitemID_test          3002
#define menuitemID_seconds       3003
#define menuitemID_test2         3004
#define menuitemID_test3         3005
#define menuitemID_test4         3006
#define menuitemID_test5         3007
#define menuitemID_help          3008
#define menuitemID_layout        3009
#define menuitemID_options       3010
//#define menuitemID_sounds        3011
#define menuitemID_reset         3012
#define menuitemID_lock          3013
#define menuitemID_alarm         3014
#define menuitemID_timer         3015
#define menuitemID_world         3016
#define menuitemID_sound1        3017
#define menuitemID_sound2        3018
#define menuitemID_sound3        3019
#define menuitemID_sound4        3020
#define menuitemID_localtime     3021
#define menuitemID_sounds        3022
#define menuitemID_color         3023
#define menuitemID_global        3024

#define idStrSunday              4000

#define labelID_active1          4500
#define labelID_active2          4501
#define labelID_active3          4502
#define labelID_active4          4503

#define alertID_text             5000
#define alertID_test             5001
#define alertID_checked          5002
#define alertID_help             5003
#define alertID_text2            5004
#define alertID_text3            5005

#define buttonID_ml              5999
#define buttonID_m1              6000
#define buttonID_m2              6001
#define buttonID_m3              6002
#define buttonID_m4              6003
#define buttonID_ok              6004
#define buttonID_reset           6005
#define buttonID_yes             6006
#define buttonID_no              6007
#define buttonID_test            6008
#define buttonID_cancel          6009

#define buttonID_pageset1        6010
#define buttonID_pageset2        6011

#define buttonID_colorb          6012
#define buttonID_colorf          6013
#define buttonID_set             6014
#define buttonID_colorbi         6015
#define buttonID_colorfi         6016

#define buttonID_delete          6017
#define buttonID_info            6018

#define buttonID_up              6019
#define buttonID_down            6020
#define buttonID_close           6021
#define buttonID_index           6022
#define buttonID_back            6023

#define listID_theme             6030

#define formID_displayalarm      7000

#define editID_edit1            8000
#define editID_edit2            8001
#define editID_tzh              8002
#define editID_tzm              8003
#define popupID_tzd             8004
#define listID_tzd              8005
#define editID_name             8006

#define stringID_help_a         8500
#define stringID_help_b         8501
#define stringID_help_c         8502
#define stringID_help_d         8503

#define stringID_help            9000
#define stringID_a               9001
#define stringID_b               9002
#define stringID_c               9003
#define stringID_d               9004
#define stringID_e               9005
#define stringID_f               9006
#define stringID_g               9007
#define stringID_h               9008

#define stringID_localtime       9020
#define stringID_world1          9021
#define stringID_world2          9022
#define stringID_world3          9023
#define stringID_world4          9024
#define stringID_timer1          9025
#define stringID_timer2          9026
#define stringID_timer3          9027
#define stringID_timer4          9028
#define stringID_alarm1          9029
#define stringID_alarm2          9030
#define stringID_alarm3          9031
#define stringID_alarm4          9032
#define stringID_pagenames00     9033
#define stringID_pagenames01     9034
#define stringID_pagenames02     9035
#define stringID_pagenames03     9036
#define stringID_pagenames10     9037
#define stringID_pagenames11     9038
#define stringID_pagenames12     9039
#define stringID_pagenames13     9040
#define stringID_detailweek      9041
#define stringID_detailday       9042
#define stringID_detailhour      9043
#define stringID_timerstart      9044
#define stringID_timerstop       9045
#define stringID_timerreset      9046
#define stringID_timerclear      9047
#define stringID_alarmmode2      9048
#define stringID_alarmmode3      9049
#define stringID_timermode0      9050
#define stringID_timermode1      9051
#define stringID_timermode2      9052
#define stringID_timermode3      9053
#define stringID_timermode4      9054
#define stringID_timermode5      9055
#define stringID_timermode6      9056

#define stringID_soundname1      9060
#define stringID_soundname2      9061
#define stringID_soundname3      9062
#define stringID_soundname4      9063

#define stringID_weekdays        9070
#define stringID_months          9071
#define stringID_stopsnooze      9072

#define  popupID_time1           9100
#define  popupID_time2           9101
#define  popupID_alarm1          9102
#define  popupID_alarm2          9103
#define  popupID_world1          9104
#define  popupID_world2          9105
#define  popupID_timer1          9106
#define  popupID_timer2          9107


#define  checkboxID_snooze       9110
#define  popupID_base            9120
#define  popupID_mode            9121

#define  editID_max                9130
#define  editID_time               9131
#define  editID_alarm              9132
#define  editID_world              9133
#define  editID_timer              9134
#define  editID_price              9135

#define   popupID_panel11g       9150
#define   popupID_panel12g       9151
#define   popupID_panel21g       9152
#define   popupID_panel22g       9153
#define   popupID_panel31g       9154
#define   popupID_panel32g       9155
#define   popupID_panel41g       9156
#define   popupID_panel42g       9157

#define   popupID_panel11t       9160
#define   popupID_panel12t       9161
#define   popupID_panel21t       9162
#define   popupID_panel22t       9163
#define   popupID_panel31t       9164
#define   popupID_panel32t       9165
#define   popupID_panel41t       9166
#define   popupID_panel42t       9167


#define  checkboxID_time1a          9200
#define  checkboxID_time2a          9201
#define  checkboxID_alarm1a         9202
#define  checkboxID_alarm2a         9203
#define  checkboxID_world1a         9204
#define  checkboxID_world2a         9205
#define  checkboxID_timer1a         9206
#define  checkboxID_timer2a         9207

#define  checkboxID_time1b          9300
#define  checkboxID_time2b          9301
#define  checkboxID_alarm1b         9302
#define  checkboxID_alarm2b         9303
#define  checkboxID_world1b         9304
#define  checkboxID_world2b         9305
#define  checkboxID_timer1b         9306
#define  checkboxID_timer2b         9307

#define  checkboxID_timel           9400
#define  checkboxID_time1           9401
#define  checkboxID_time2           9402
#define  checkboxID_autoreset       9403
#define  checkboxID_autostart       9404
#define  checkboxID_alarm           9405

#define  checkboxID_backlight       9406
#define  checkboxID_silent          9407
#define  checkboxID_talelight       9413
#define  checkboxID_hardware        9415
#define  checkboxID_chess           9419
#define  checkboxID_soundoff        9450
#define  checkboxID_calc            9451
#define  editID_calc                9452

#define  checkboxID_wait            9408
#define  checkboxID_systemsound     9409

#define  editID_snooze              9410
#define  checkboxID_days            9411
#define  popupID_trigger            9412
#define  checkboxID_autooff         9414

#define  checkboxID_daterel         9416
#define  selectorID_reldate         9417
#define  selectorID_reltime         9418

#define  checkboxID_lock            9420

#define  checkboxID_price           9421

#define checkboxID_keepworld        9422
#define popupID_hour                9423
#define popupID_minute              9424
#define popupID_second              9425
#define popupID_day                 9426
#define popupID_month               9427
#define popupID_year                9428
#define listID_hour                 9429
#define listID_minute               9430
#define listID_second               9431
#define listID_day                  9432
#define listID_month                9433
#define listID_year                 9434

#define popupID_midi                9500
#define popuplistID_midi            9501

#define  popuplistID_pages       9920
#define  popuplistID_snooze      9921
#define  popuplistID_times       9922
#define  popuplistID_count       9923
#define  popuplistID_trigger       9924
#define  popuplistID_mode        9925
#define  popuplistID_paneltypes  9926
#define  popuplistID_timelist    9927
#define  popuplistID_worldlist   9928
#define  popuplistID_alarmlist   9929

#define  bitmapID_circlelarge     9930
#define  bitmapID_circlesmall     9931
#define  bitmapID_circletiny      9932
#define  bitmapID_starlarge       9933
#define  bitmapID_starsmall       9934
#define  bitmapID_startiny        9935

#define  bitmapID_back            9936

#define  bitmapID_list            9937
#define  bitmapID_mona            9938

#define  bitmapID_info            9950

